[Solved] Nextcloud and Owncloud fail with mysql error

good morning,
tried to install nextcloud on my pi and ran into the memcached error as discribed here .
with the 4 lines in that post i tried again and got the following:

#### Details:
- Date           | Sat 24 Nov 07:48:44 CET 2018
- Bug report     | N/A
- DietPi version | v6.17.12 (Fourdee/master)
- Img creator    | DietPi Core Team
- Pre-image      | Raspbian Lite
- SBC device     | RPi 3 Model B (armv7l) (index=3)
- Kernel version | #1159 SMP Sun Nov 4 17:50:20 GMT 2018
- Distro         | stretch (index=4)
- Command        | ncc maintenance:install
- Exit code      | 1
- Software title | DietPi-Software

Log file contents:
In Install.php line 121:

  Database <mysql> is not supported.
  
maintenance:install [--database DATABASE] [--database-name DATABASE-NAME] [--database-host DATABASE-HOST] [--database-port DATABASE-PORT] [--database-user DATABASE-USER] [--database-pass [DATABASE-PASS]] [--database-table-prefix [DATABASE-TABLE-PREFIX]] [--database-table-space [DATABASE-TABLE-SPACE]] [--admin-user ADMIN-USER] [--admin-pass ADMIN-PASS] [--data-dir DATA-DIR]

since im new to both i switched to Owncloud and encountered the same error

#### Details:
- Date           | Sat 24 Nov 07:51:00 CET 2018
- Bug report     | N/A
- DietPi version | v6.17.12 (Fourdee/master)
- Img creator    | DietPi Core Team
- Pre-image      | Raspbian Lite
- SBC device     | RPi 3 Model B (armv7l) (index=3)
- Kernel version | #1159 SMP Sun Nov 4 17:50:20 GMT 2018
- Distro         | stretch (index=4)
- Command        | occ maintenance:install
- Exit code      | 1
- Software title | DietPi-Software

Log file contents:
In Install.php line 105:

  Database <mysql> is not supported.
  
maintenance:install [--database DATABASE] [--database-name DATABASE-NAME] [--database-host DATABASE-HOST] [--database-user DATABASE-USER] [--database-pass [DATABASE-PASS]] [--database-table-prefix [DATABASE-TABLE-PREFIX]] [--admin-user ADMIN-USER] [--admin-pass ADMIN-PASS] [--data-dir DATA-DIR]

Mordog
Thanks for your report.

Was a webserver/PHP already installed previously? There was an issue that mysql PHP module was not installed together with MySQL, if PHP was already installed previously. Fixed with v6.18, please try:

apt-get install -y php-mysql

Webserver/php was installed previously.
started with pihole, added unbound, cups and baikal over time.
baikal made some problems but was solved thanks to the forum

first nextcloud try after installing php-mysql ended in an another error.
something about permission.

second try was completed without problems.

Okay great. Pi-hole installs Lighttpd webserver by default, which was the reason for initial error.

Second error was perhaps due to half finished prior attempt. Great that it succeeded with another run then.